Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Sign In with Facebook Sign In with Google Sign In with OpenID

Categories

We have migrated to a new platform! Please note that you will need to reset your password to log in (your credentials are still in-tact though). Please contact lee@programmersheaven.com if you have questions.
Welcome to the new platform of Programmer's Heaven! We apologize for the inconvenience caused, if you visited us from a broken link of the previous version. The main reason to move to a new platform is to provide more effective and collaborative experience to you all. Please feel free to experience the new platform and use its exciting features. Contact us for any issue that you need to get clarified. We are more than happy to help you.

regarding pkg-config-0.23

mathbmathb Posts: 2Member

i need to cross compile pango for arm board and the native system im working on is fedora-2.621 .

as part of this i had to compile pkg-config-0.23 into my own path /root/usr/moz .while i try ./configure --host=i686-linux --build=arm-linux --prefix=/root/usr/moz/ --without-x
i get the following error

checking whether arm-linux-gnu-gcc accepts -g... (cached) yes
checking for arm-linux-gnu-gcc option to accept ISO C89... (cached) none needed
checking dependency style of arm-linux-gnu-gcc... (cached) gcc3
checking for arm-linux-gnu-gcc option to accept ANSI C... none needed
checking for a BSD-compatible install... /usr/bin/install -c
checking for extra flags to get ANSI library prototypes... configure: error: cannot run test program while cross compiling
See `config.log' for more details.
configure: error: ./configure failed for glib-1.2.10


this is what the config.log says in the pkg-config-0.23/glib-1.2.10

configure:20256: checking dependency style of arm-linux-gnu-gcc
configure:20339: result: gcc3
configure:20359: checking for arm-linux-gnu-gcc option to accept ANSI C
configure:20427: arm-linux-gnu-gcc -c -g -O2 conftest.c >&5
configure:20433: $? = 0
configure:20453: result: none needed
configure:20477: checking for a BSD-compatible install
configure:20533: result: /usr/bin/install -c
configure:20564: checking for extra flags to get ANSI library prototypes
configure:20570: error: cannot run test program while cross compiling
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=arm-unknown-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CCC_set=
ac_cv_env_CCC_value=
ac_cv_env_CC_set=set


could anyone help me sole this error and let know why this error occured , so that i can proceed with my furthur libraries to be compiled
Sign In or Register to comment.